Overview of MT4i Desktop

MT4i Desktop is a fast, comprehensive, easy-to-use reporting tool for MetaTrader 4. You import your account data simply by double-clicking on the “MT4i Desktop” script which is installed under “Scripts” in Metatrader’s “Navigator” window.

MT4i Desktop lets you combine the results from multiple accounts, including installations of Metatrader on different computers. You can also analyze the results of Metatrader’s strategy tester, and combine the results from multiple strategy tests and analyze them collectively.

MT4i Desktop's key features are as follows:

  • The software shows both the historic account balance and also historic day-end account equity.

  • Results can be inspected by day, week, month, quarter, or year.

  • Results can be filtered, to examine particular time periods, or accounts, or expert advisors (based on the “magic numbers” they use) etc.

  • The same data can be opened in multiple windows, with different filtering, to compare different types of analysis side by side.

  • Charts can be saved as picture files, and all grids of results can be exported to Microsoft Excel, copied to the clipboard, or saved/printed as an HTML report file.

  • All aspects of charts (axis scales, colors etc) can be altered.

  • MT4i Desktop displays a wide range of statistics, including peak drawdowns, Sharpe ratio, trade profitability per hour, correlation between trading strategies, and distribution of returns.

  • Results can be divided into sub-categories such as per-account, per-symbol, or per-magic number (i.e. per-EA).

N.B.MT4i Desktop requires build 220 or later of Metatrader. It has no special requirements in terms of Windows version, processor speed, memory size etc. You need to turn on DLL imports (using Metatrader’s Tools/Imports/Allow DLL Imports setting) in order to use the scripts which MT4i Desktop installs in Metatrader.


Installing MT4i Desktop

You install MT4i Desktop by downloading the setup package, and either choosing to run it immediately, or by saving it to disk and then double-clicking on it to run it.

The setup package adds three scripts into every separate installation of Metatrader on your computer. If Metatrader is already running then these scripts will not usually be displayed (under “Scripts” in the “Navigator” window) until Metatrader is closed and restarted.

The MT4i Desktop scripts need to be able to call a DLL file. Therefore, you need to turn on “Allow DLL imports” in Metatrader’s Tools/Options settings (and the scripts will prompt you to do this if necessary).

Re-installing MT4i Desktop's EX4 script files

If you install a new copy of Metatrader after you have installed MT4i Desktop, or the scripts are not shown in your existing copies of Metatrader, you can re-install them using the shortcut on the Windows Start menu under Programs/MT4i Desktop.

Please note that Metatrader does not update the list of scripts in its Navigator window while it is running. You need to close and restart Metatrader for changes to appear.

Uninstalling MT4i Desktop

MT4i Desktop can be removed from your computer in the normal way: by using the Windows control panel to view the list of installed software, and choosing to remove MT4i Desktop.


Licensing MT4i Desktop

The first time you start MT4i Desktop you will be prompted to enter the license code which is e-mailed to you when you sign up for a trial or full copy of the software.

You need a separate license for each separate computer on which MT4i Desktop is installed, unless you are using transfer files to move your Metatrader results from multiple computers into one central place.

Your license code is only valid for a single computer. If you want to move MT4i Desktop to a different computer, or your existing hardware changes substantially and invalidates your license, please contact us.

License updates

Roughly once per week MT4i Desktop will update its license over the internet. You need an internet connection at the times when these updates happen. If no connection is available you will not be able to use MT4i Desktop until you are next connected to the internet.


Getting started

There are two ways of using MT4i Desktop: either import new data from Metatrader, or use MT4i Desktop to view data which has already been imported and saved.

The first time you use MT4i Desktop you will want to import some data from Metatrader:

  • Importing your account history

  • Importing results from the strategy tester

  • Importing results from a website

  • Automated, periodic imports of your account history

Once you have imported data and saved it to a database, you can start up MT4i Desktop and view the saved results without needing to re-import the data:

  • Viewing data which has already been imported and saved


Importing your account history

In Metatrader’s “Navigator” window, you simply open the list of scripts and then double-click on the “MT4i Desktop” script. This opens MT4i Desktop and displays your account history.

If the script does not appear in the Navigator window, see the installation instructions.

If there is date-filtering on your account history in Metatrader, this will affect the list of trades which MT4i Desktop sees. You may want to remove any such filtering from the list in Metatrader (by right-clicking over the account history and choosing “All History”) and then use the more powerful filtering in MT4i Desktop instead.

If you have more than one account, you can import the data for each one and save all the results in a single database. You can then view aggregated statistics covering all your accounts.

N.B. Metatrader lets you assign shortcut keys to scripts, by right-clicking over the script and choosing “Set hotkey”. This means that you can start MT4i Desktop and import your current data using a single keypress such as Alt+I.


Importing results from the strategy tester

You can import results from Metatrader’s strategy tester rather than your live account history:

  • Run Metatrader’s strategy tester.

  • Save the results as a report (by right-clicking over the contents of the Results or Report tabs, and choosing “Save as report”).

  • In Metatrader’s “Navigator” pane, open the list of scripts and then double-click on the “MT4i Desktop report reader” script.

  • When prompted, select the report file you saved in step 2.

You can repeat the above process to import the results from multiple strategy tests, and save all the results in the same database. You can then view an aggregated analysis across all the different tests.

Please note that MT4i Desktop allocates a random, dummy account number to each imported strategy test. This is to allow the results of multiple strategy tests to be saved in a single database.


Importing results from a website

You can import results from web-based services such as www.mt4i.com or www.mt4stats.com (or from any other report which has been published to the web using Metatrader’s Tools/Options/Publisher settings).

You simply double-click on the “MT4i Desktop report reader” script in Metatrader’s “Navigator” pane. When prompted to choose a report file, you then enter the URL of the report (e.g. http://www.mt4i.com/users/example/) rather than a file on disk.

Please note that day-end equity figures may be incorrect unless the broker time of your copy of MT4 matches the broker time of the copy of MT4 used to publish the report to the website.


Automated, periodic imports of your account history

You can automate the import of your account history into MT4i Desktop rather than needing to run the “MT4i Desktop” script manually.

You simply add the “MT4i Desktop auto-export” custom indicator to any chart within Metatrader – the chart symbol does not matter. You use the indicator’s parameters to specify which database results should be saved into, and how many minutes to wait between each export (e.g. 1,440 for daily exports). The custom indicator then does an automated equivalent of a manual import, periodically storing your account history in the specified database.

The custom indicator displays a status notification in the top right of its chart. It can safely be run on the same chart as an EA and/or other indicators.


Viewing data which has already been imported and saved

Once you have imported live or strategy-tester data from Metatrader, and saved it, you can re-open MT4i Desktop to report on the data at any time without needing to re-import the data

You simply open MT4i Desktop using the shortcut on the Windows Start menu, under Programs/MT4i Desktop. This displays the data you have previously imported (or lets you choose between stored databases if you have created more than one).


Saving and aggregating data

When you have imported new data from Metatrader you will be prompted to save it before closing MT4i Desktop.

A new database is created automatically the first time that you choose to save some data. On all subsequent occasions you can either save the new data into the existing database, or choose to create a new database. You can have any number of different databases.

Once data has been saved, you can re-open it without needing to re-import it from Metatrader. You simply start MT4i Desktop by clicking on the shortcut on the Windows Start menu, under Programs/MT4i Desktop.

Combining data from multiple Metatrader installations/accounts

The above means that there is an easy of way of combining the data from multiple copies of Metatrader and/or multiple broker accounts:

  • Use the “MT4i Desktop” script to import the data for account A.

  • Save the data.

  • Use the “MT4i Desktop” script to import the data for account B.

  • Save the data in the same database as before (rather than creating a new database).

  • (Repeat as necessary for further accounts.)

The database then contains aggregated results for all the accounts. The combined database can be viewed either by starting MT4i Desktop using the shortcut on the Windows Start menu, under Programs/MT4i Desktop, or by clicking on the “New window” button if MT4i Desktop is already open, and choosing the “Open stored positions from a database” option.

However, please note that you will only normally want to combine the results from multiple accounts in the same database if the brokers use the same server-times, the same deposit currency, and the same symbol details (e.g. digits of precision for prices).

Combining data from multiple strategy tests

You can follow the same broad process as above to combine the results from multiple strategy tests, and then report on them collectively. You simply import each individual set of test results, and choose to save them all into the same database.

Updating stored data with new account history

Once you have stored your Metatrader account history in a database, you will probably want to update it periodically with new results. You simply re-import the new history (by double-clicking on the “MT4i Desktop script”) and then save the updated history in the same database as before. The existing stored information is overwritten as necessary with the new results.


Backing up your databases

Backing up stored data in MT4i Desktop should not, strictly speaking, be necessary. Unless your broker deletes your account history you can always recreate a database by re-importing the account history from Metatrader.

However, there are two ways of creating backups of MT4i Desktop databases:

  • Open the database within MT4i Desktop and then create a transfer file, by clicking on the Tools/Options button in MT4i Desktop, clicking on the “Send results” tab, and then clicking on the “Create transfer file” button. The resulting file is effectively a compressed backup of the current database.

  • Open the directory on disk which contains your database(s), by clicking on the Tools/Options button in MT4i Desktop, clicking on the “Databases” tab, and then clicking on the “Open folder” button. You can then create backups of your database(s) simply by copying the database files to somewhere else.


Database maintenance

You can carry out database maintenance using the Tools/Options button within MT4i Desktop: creation and deletion of databases, copying of databases, and renaming of them. You can also open the folder on disk which contains your databases.


Transferring MT4i Desktop data between computers

Transferring MT Intelligence data between computers

If you run Metatrader on multiple computers you can transfer data to a single machine and then report on the combined results from there:

  • Install MT4i Desktop on each of the computers.

  • To transfer account history, double-click on the “Create MT Intelligence transfer file” script (under “Scripts” in Metatrader’s “Navigator” window).

  • Save the resulting transfer file somewhere on disk.

  • Move the transfer file to the computer you are going to use for reporting (by e-mail, or USB stick, or network file-copy etc.)

  • Import the transfer file by double-clicking on it. This will open MT4i Desktop, display the results contained in the transfer file, and give the usual option to save the imported data into a database.

  • (And then repeat as necessary for further computers.)

The steps above mean that you only need one licence for MT4i Desktop, on the computer which is used for the actual analysis. You do not need a licence for the computers where you are only creating a transfer file.

Creating a transfer file from within MT4i Desktop

In addition to the method described above, you can also create a transfer file from within MT4i Desktop itself. You click on the Tools/Options button, and then use the Send Results tab to create the transfer file.

Using transfer files as database backups

Transfer files can also be used as a handy way of creating compressed backups of your databases.


Overview of the MT4i Desktop user interface

MT4i Desktop displays its results in a single window split up into tabs: “Summary charts”, “Time periods”, “Stats” etc. The title bar of the window indicates whether you are viewing (new) imported data, or results already saved in a database.

The “Filter” button above the tabs lets you sift the data so that only a subset of it is included in the tabbed results. Filtering affects all the information displayed in all of the software’s tabs.

The “New window” button lets you open the same data you are currently viewing in a separate window. You can then e.g. apply different filtering to each window to compare different subsets of the data side by side.

The “Save” button stores the data you are viewing in a database. (It remains enabled after use to give you the option of storing the same set of imported results in multiple databases.) The first time you choose to save imported data, a new database is created for you automatically. On subsequent occasions you are given a list of databases to choose from, plus the ability to create new databases.

The “Tools/Options” button, described below, provides access to various extra functionality including database maintenance, and creation of transfer files.

Standard chart and grid behavior

All the charts and grids in MT4i Desktop behave the same way:

  • Standard chart behaviour

  • Standard grid behaviour

The tabs of the software

Each tab of the software is described in separate sections below:

  • Charts tab

  • Time Periods tab

  • Time Charts tab

  • Analysis tab

  • Analysis Charts tab

  • Correlation tab

  • Return Distribution tab

  • Monte Carlo tab

  • Positions tab


Configuring charts

All charts in MT4i Desktop are completely configurable, and provide a wealth of functionality. They have a toolbar which lets you print the chart, save it as a picture file, or copy it to the clipboard. You can also turn a “data editor” on and off which shows the underlying figures making up the graphical representation.

You can change the display of any aspect of the chart by right-clicking over it. For example, you can right-click over the Y axis of a chart and then change its scale.

Common examples of chart modification include the following:

  • You can add labels showing the value of each point by right-clicking anywhere over the chart background and choosing the “Point labels” option.

  • You can change e.g. a bar chart to a line chart by right-clicking over the chart background and choosing a new option from the “Gallery” list. (You can also do this using the Gallery button on the chart toolbar.)

  • Colors of chart elements can be changed by right-clicking over them and choosing a new item from the “Color” sub-menu.

You can also save the data making up the chart, in CSV format for exporting to Microsoft Excel, by clicking on the “Save chart data” button.


Configuring and saving grids

All the grids in MT4i Desktop provide three options, in the form of buttons at the top of the grid:

  • Save as CSV. Saves the grid as a CSV file which can then be opened in Microsoft Excel (or similar software).

  • Clipboard. Copies the grid contents to the clipboard, for pasting into Microsoft Excel (or similar).

  • HTML/Print. Generates a web-page version of the grid with options for saving the resulting file or printing it. You can choose which columns are included in the saved/printed version of the grid.

In addition, all the grids let you resize rows and columns by clicking on and dragging their dividers. You can also re-order the columns in any grid by clicking on them and dragging them to a new location.

Finally, most of the grids let you sort the results by clicking on column headers. The only exceptions are the Correlation grid, and the equity/balance grid on the Stats tab.


Tools and options

The Tools/Options button at the top of an MT4i Desktop window provides access to three functions: database maintenance, creation of transfer files, and re-installation of Metatrader scripts.

Database maintenance

The Databases tab of the Tools/Options window provides facilities for maintaining your databases. You can create new databases, or copy, rename, or delete existing ones. You can also use the “Open folder” button to open the directory on disk which contains your databases, e.g. in order to create backups.

Opening balance

The Opening Balance tab lets you amend the initial deposit in your imported results to simulate the effect of different starting account sizes. This changes all figures which are calculated as percentages of account balance or account equity. If your imported data contains more than one balance/deposit, you can choose to amend either only the initial deposit or all the deposits. The latter is particularly useful when examining a database containing the results of multiple strategy tests.

Lot sizes

The Lot Sizes tab lets you amend your imported results to simulate the effect of having traded different lot sizes. You can either change the account history to use a fixed lot size for all trades, or you can apply a percentage change to the actual lot sizes – e.g. 50% to halve the current lot sizes or 200% to double them. All profit, swap, and commission figures are then recalculated based on the change in lot size.

Changes can be applied to all symbols, or just to a specific symbol. If you have filtered the account history, then you can also choose whether the changes should be made only to the orders which match the filter.

Please note that changes may not be exactly reversible, because of rounding errors. If you halve the lot sizes and then double them (i.e. apply a percentage change of 50% followed by a change of 200%) you may not see exactly the same results you started with.

Creation of transfer files

The Send Results tab of the Tools/Options window lets you create a transfer file for the results you are currently viewing – whether new imported data or the contents of a database.

Re-installation of Metatrader scripts

The MT4i Desktop Script tab of the Tools/Options window lets you re-install MT4i Desktop's EX4 script files into Metatrader. It is particularly useful if you install a new copy of Metatrader after installing MT4i Desktop.

The button on this tab is identical to the option which is added to the Windows Start menu under Programs/MT4i Desktop.


Filtering results

You can filter the data displayed by MT4i Desktop so that it only includes a particular subset of your trades. This filtering automatically affects all the results displayed on every tab of MT4i Desktop. (However, filtering does not affect what gets saved in a database. MT4i Desktop always saves your complete trade list, regardless of any filtering applied.)

There are two ways of setting up filtering:

  • Click on the Filter button in the top-left of the MT4i Desktop window.

  • Right-click over cells in the Positions list, and choose an option from the pop-up menu.

Once you have applied some filtering, the Filter button lights up. You can remove existing filtering by clicking on the Filter button, clicking on Clear Filter, and then clicking on OK.

Filters can be saved to disk and reloaded, to avoid having to repeatedly re-enter filtering details which you use regularly.

Comparing different filters in multiple windows

You can open the same results in multiple windows, with different filtering, to compare the results side by side. You simply click on the New Window button and choose whether to display the results in the new window with or without the current filtering. (You can also choose to open a different database in the new window, if you have more than one.)

Filtering options

The trade information you can filter on is as follows. Please note that deposits and withdrawals are always retained in the results unless they are filtered out by date, or by the accounts you choose to include. They are not filtered out by restrictions on symbol, lot size etc.

  • Date range. Trades are included if they were either opened or closed within the selected dates. As well as setting date ranges manually, you can also use the “Choose range…” button to display a pop-up list of commonly used ranges such as “this week”, “last month” etc.

  • Day of the week. Trades are included if they were opened on any of the days of the week you specify.

  • Accounts. Trades are included if they belong to any of the accounts you specify. (There is no filtering by account unless you select at least one entry on this list.)

  • Symbols. Trades are included if they relate to any of the symbols you specify. (There is no filtering by symbol unless you select at least one entry on this list.)

  • Buy/sell. You can filter the list of positions so that it only includes buys or sells.

  • Lot size. You can specify minimum and maximum lot sizes to include.

  • Magic number. You can specify a particular magic number, or range of numbers. This lets you examine only the trades created by a particular EA (provided that you know which magic number it uses).

  • Ticket. You can select a single ticket number or range. (Please note that ticket numbers from a broker do not necessarily correspond to order open time.)

  • Profitability. You can filter the trade list so that it only includes trades with a particular level of profit (which is total profit, including swap).

  • Profitability in pips. Trades are included if their profitability in pips falls into the range you select.

  • Trade duration. Trades are included if their lifetime from open to closure is within the range you select.

  • Open/closed. You can choose to include only open orders or only closed order.


Saving and reloading filters

You can save a filter as a file on disk using the “Save as…” button at the bottom of the filtering screen. Saved filters can then be re-loaded using the “Open…” button. This lets you store common filters, and avoid the need to re-enter all their details every time you want to use them.

For extra convenience, it may be worth noting that you can do the following:

  • Save your results in a database.

  • Create a filter, and save it to somewhere like the desktop.

  • Open MT4i Desktop by double-clicking the filter file on the desktop. MT4i Desktop reloads the information from your database, and automatically loads and applies the filter as well.


Notes about MT4i Desktop statistics

  • MT4i Desktop works on a day-end basis. It does not show intra-day changes in account balance and equity (except in the form of the charts which show your account balance in trade-close order, rather than by time period).

  • Calculating historic day-end account equity requires slight approximations. Open positions at a day-end are valued using the historic close price reported by the broker for that day. Historic open swap is calculated by interpolating values based on the final/current swap, and will be marginally (usually trivially) inaccurate if the broker’s interest rate changed over the lifetime of the position. The nature of swap means that this approximation should not lead to a margin of error of more than about 0.1% of total trade profitability.

  • Annual statistics are based on the industry-standard of a 256-day trading year. For example, “annualised growth” is calculated by taking the average daily return ^ 256. Projected quarterly results use 64 days, and projected monthly results use 21 days.

  • The calculation of the Sharpe ratio uses a quasi-standard in the hedge fund industry: it is calculated from daily returns, with the risk-free rate omitted from the calculation (on the basis that strategies are usually trading a small percentage of account equity, and are therefore – or should be – benefiting from a large percentage of the risk-free rate anyway from interest on the unused cash remaining on deposit).

  • The calculation of the Sharpe ratio on the Stats tab uses daily percentage returns in account equity. The calculation on the Analysis tab uses daily cash returns (because percentage returns are not available in the context of some categories such as per-symbol).

  • Metatrader’s strategy tester results do not include a separate figure for swap, and therefore all trades are shown as incurring no swap.

More about Sharpe ratios

A Sharpe ratio is a measure of return in relation to risk. In theory at least, investment/strategy A is preferable to investment/strategy B if its Sharpe ratio is higher, even if B made $20,000 profit whereas A only made $5,000.

Negative Sharpe ratios are definitely bad (particularly because the risk-free rate is omitted from the calculation – see above). Broadly speaking, a Sharpe ratio of +1.00 or more is notably good.

MT4i Desktop only displays Sharpe ratios based on your account equity, not your account balance. The latter would be very misleading unless you never carried positions overnight (in which case the value would obviously be the same as for account equity).

The Sharpe ratios displayed on the Analysis tab, in relation to each symbol, or magic number etc, should be regarded as comparative figures only. For example, if you have a Sharpe ratio of 4.82 on EURUSD trades versus -1.34 on USDJPY, then the risk profile of your EURUSD trades is almost certainly preferable to your USDJPY trades. However, it is unlikely to mean that you can produce a world-beating strategy simply by trading EURUSD only.


Summary Charts tab

The Summary Charts tab shows a variety of different headline analyses of your results. Most of these are time-based, and you can choose whether to group the results by day, week, month, quarter or year. If your chart contains a large number of data points (e.g. many days), then you can tick the option for making the chart scrollable, rather than trying to fit all the data on screen at once.

All the charts can be modified in the standard way: you can change colors, axis scaling, bar/line style etc.

Headline charts

The following charts are headline summaries of your trading activity. These convenient one-click charts can also be generated with more options and flexibility using the Time Charts tab:

  • Cumulative equity/balance, including deposits. Shows your history account equity and balance, including all deposits and withdrawals.

  • Cumulative equity/balance, excluding deposits. In other words, shows the pure gain/loss on your account, unaffected by any cash injections or withdrawals.

  • Cumulative equity/balance, including initial deposit only. Shows the pure gain/loss on your account, excluding cash injections and withdrawals, except that the initial deposit is used as the starting point rather than zero. This chart is the same as the “cumulative equity/balance, including deposits” unless you have made withdrawals or more than one deposit.

  • Change in equity/balance, excluding deposits. Shows the daily/weekly etc cash change in your account balance and equity.

  • Unbooked profit. Shows the unbooked profit/loss at the end of each day/week etc – in other words, the difference between account equity and balance at the end of each period. (This difference is typically drawdown, not profit!)

  • Open profit as % of account balance and equity. Shows the unbooked profit/loss at the end of each period as a percentage of account equity and balance.

  • Closed winning and losing positions. Shows the number of positions closed at a profit or loss during each period (irrespective of when the positions were opened).

  • Gross banked profit and loss. Shows the gross profit and gross loss banked during each period (irrespective of when the positions were opened).

  • Winning and losing pips. Shows the gross profit and loss in pips during each period (yet again irrespective of when the positions were opened).

  • Percentage gain/loss. Shows the percentage change in account balance and equity over each period.

  • Positions closed at t/p, s/l, and other. Shows the number of positions closed at take-profit level, or stop-loss level, or other (i.e. manual closure) during each period (again irrespective of when the positions were opened).

Profitability of different categories of trades

The following charts show the change in account balance and equity for different sub-categories of trade – by account, symbol etc. These convenient one-click charts can also be generated with more options and flexibility using the Analysis Charts tab:

  • Profitability per account. Shows the gain/loss in account equity and balance on each Metatrader account (excluding deposits and withdrawals).

  • Profitability per account. Shows the gain/loss in account equity and balance on each Metatrader account (excluding deposits and withdrawals).

  • Profitability per symbol. Shows the gain/loss in account equity and balance for each individual symbol.

  • Profitability per from-currency. Shows the gain/loss in account equity and balance for each “from-currency”, i.e. lumping together the results for EURUSD and EURJPY.

  • Profitability per to-currency. Shows the gain/loss in account equity and balance for each “to-currency”, i.e. lumping together the results for EURUSD and AUDUSD.

  • Profitability per account & symbol. Shows the gain/loss in account equity and balance for each combination of account and symbol.

  • Profitability per buys/sells. Shows the gain/loss in account equity and balance for long versus short positions.

  • Profitability per lot size. Shows the gain/loss in account equity and balance for each different lot size traded.

  • Profitability per magic number. Shows the gain/loss in account equity and balance for each different “magic number” (i.e. per-EA).

  • Profitability per open/closed positions. Shows the gain/loss in account equity and balance on open versus closed positions. (The change in account balance on open positions will always be zero, by definition.)

  • Profitability per day of week. Shows the gain/loss in account equity and balance for each day of the week, based on when positions were opened.

  • Profitability per hour of day. Shows the gain/loss in account equity and balance for each hour of the day, based on when positions were opened.

Account balance in trade-order

The following charts are not time-based (and the time-selection drop-down becomes disabled while using them). Instead, they show the change in account balance at the end of each closed trade:

  • Trades in close-order. Shows the account balance at the end of each position, with the results sorted into close-time order. The resulting chart is not time-based, and the day/week/month/etc option is correspondingly disabled.

  • Trades in close-order, excluding deposits. As above, except that deposits and withdrawals are excluded, and the results show the pure gain/loss in account balance.

  • Gross profit/loss at trade-end. Shows the gross profit and loss on the account balance at the end of each trade (with either the profit or the loss increasing, depending on whether the trade was a winner or loser). The resulting chart is not time-based, and the day/week/month/etc option is correspondingly disabled.

Periodic results for each symbol, account, and magic number

The following charts show separate sub-totals for each symbol, account, or magic number rather than a single line showing the total across all trades. These convenient one-click charts can also be generated with more options and flexibility using the Time Charts tab.

You can use filtering to restrict these charts so that they only show particular accounts, symbols, or magic numbers. However, filtering affects all the results displayed on all the tabs of MT4i Desktop. To generate versions of the charts which only examine specific accounts etc, without filtering, use the Time Charts tab.

  • Balance change for each symbol. Shows the cumulative change in account balance over time for each individual symbol.

  • Equity change for each symbol. Shows the cumulative change in account equity over time for each individual symbol.

  • Unbooked profit for each symbol. Shows the unbooked profit/loss at each period end (i.e. difference between account balance and equity) for each individual symbol.

  • Balance change for each account. Shows the cumulative change in account balance over time for each individual account.

  • Equity change for each account. Shows the cumulative change in account equity over time for each individual account.

  • Unbooked profit for each account. Shows the unbooked profit/loss at each period end (i.e. difference between account balance and equity) for each individual account.

  • Balance change for each magic number. Shows the cumulative change in account balance over time for each individual magic number (i.e. EA).

  • Equity change for each magic number. Shows the cumulative change in account equity over time for each individual magic number (i.e. EA).

  • Unbooked profit for each magic number. Shows the unbooked profit/loss at each period end (i.e. difference between account balance and equity) for each individual magic number (i.e. EA).


Time Periods tab

The Time Periods tab shows statistics for each individual time period in your data, with the option to choose between days, weeks, months, quarters, and years.

The grid provides the standard options for exporting to Excel, printing etc.

The data displayed for each time period includes the following:

  • Start balance. The account balance at the start of the period.

  • End balance. The account balance at the end of the period.

  • Start equity. The account equity at the start of the period.

  • End equity. The account equity at the end of the period.

  • Balance change. Total change in account balance during the period – in effect, banked profit plus banked swap.

  • Equity change. Total change in account equity during the period.

  • Deposits. Total deposits during the period.

  • Withdrawals. Total withdrawals during the period.

  • Banked profit. Total profit/loss banked during the period (excluding swap).

  • Banked swap. Total swap banked during the period.

  • Open profit. Total profit/loss on positions still open at the end of the period (excluding swap).

  • Open swap. Total swap on positions still open at the end of the period.

  • Balance growth %. The percentage change in the account balance over the period.

  • Equity growth %. The percentage change in the account equity over the period.

  • Positions opened. Number of positions opened during the period.

  • Positions closed. Number of positions closed during the period (and potentially opened prior to this period).

  • Winners closed. Number of positions closed at a profit (including swap).

  • Losers closed. Number of positions closed at a loss (including swap).

  • B/E closed. Number of positions closed exactly at break-even (including swap).

  • Closed winners %. Winners as a percentage of all closed positions.

  • Closed losers %. Losers as a percentage of all closed positions.

  • Positions closed at T/P. Number of positions closed at their take-profit level.

  • Positions closed at S/L. Number of positions closed at their stop-loss level.

  • Banked winning pips. Number of pips banked on winning positions.

  • Banked losing pips. Number of pips banked on losing positions.

  • Banked net pips. Banked winning pips minus banked losing pips.

  • Open positions at period end. Number of positions still open at the end of the period.

  • Winners open at period-end. Number of positions open and in profit at the end of the period.

  • Losers open at period-end. Number of positions open and in loss at the end of the period.

  • Gross banked profit. Total gross profit banked during the period (including swap).

  • Gross banked loss. Total gross loss banked during the period (including swap).

  • Banked profit %. Banked gross profit as a percentage of banked gross profit plus gross loss.

  • Banked loss %. Banked gross loss as a percentage of banked gross profit plus gross loss.

  • Open gross profit. Total profit on winning positions open at the end of the period (including swap).

  • Open gross loss. Total loss on losing positions open at the end of the period (including swap).

  • Open profit % of balance. Open profit/loss at the end of the period as a percentage of account balance.

  • Open profit % of equity. Open profit/loss at the end of the period as a percentage of account equity.

  • Average banked trade $. Profit/loss on the average positions closed during the period (i.e. gross banked profit/loss divided by the number of closed positions).

  • Average banked winner $. Average cash size of each winner closed during the period (i.e. gross banked profit divided by number of winners).

  • Average banked loser $. Average cash size of each loser closed during the period (i.e. gross banked loss divided by number of losers).

  • Long lots opened. Number of lots traded on long positions opened during the period.

  • Short lots opened. Number of lots traded on short positions opened during the period.

  • Total lots opened. Total number of lots traded on all positions opened during the period.

The grid also includes the following fields. These are only truly useful when analysing the results by week/month/quarter/year. When viewing the results by day the figures will simply duplicate information elsewhere in the grid – for example, best day-end balance” is simply the same as “end balance”.

  • Best day-end balance. The highest balance at any day-end during the week/month/quarter/year.

  • Worst day-end balance. The lowest balance at any day-end during the week/month/quarter/year.

  • Best day-end equity. The highest equity at any day-end during the week/month/quarter/year.

  • Worst day-end equity. The lowest equity at any day-end during the week/month/quarter/year.

  • Best day-end open profit. The highest open (i.e. unbooked) profit at any day-end during the week/month/quarter/year.

  • Worst day-end profit. The lowest open (i.e. unbooked) profit at any day-end during the week/month/quarter/year.

  • Best day-end open profit % of balance. The highest open profit as a percentage of account balance at any day-end during the week/month/quarter/year.

  • Worst day-end profit % of balance. The lowest open profit as a percentage of account balance at any day-end during the week/month/quarter/year. In effect, a “peak drawdown percentage” for the period.

  • Best day-end open profit % of equity. The highest open profit as a percentage of account equity at any day-end during the week/month/quarter/year.

  • Worst day-end profit % of equity. The lowest open profit as a percentage of account equity at any day-end during the week/month/quarter/year. In effect, a “peak drawdown percentage” for the period.


Time Charts tab

The Time Charts tab lets you draw a graphical representation of any of the statistics shown on the Time Periods tab.

The tab starts by showing a simple chart of your total account balance day by day. You can change to a weekly, monthly, quarterly, or annual view using the drop-down list in the top-right corner.

You can change which data is displayed on the chart by clicking on the link labelled “Click here to display chart options”. On the left of the options screen you choose the fields of data you want to include on the chart – for example, the closing account equity at the end of each day/week/etc. On the right of the options screen you choose whether to display a simple total for each field, or whether to display separate sub-totals for each symbol, or each account, or each magic number etc.

As well as choosing to display sub-totals, you can also choose to exclude some categories – e.g. only display the lines for 2 out of a total of 10 symbols, to make the chart more readable. (This is not the same as filtering. This option only determines which lines get displayed on this chart, whereas filtering affects all the results and data displayed across all the tabs in the MT4i Desktop window.)

When you have selected the options you want, you simply click on the “Draw chart” button, or on the cancel button to return to the existing chart without changing it. Once you have created a chart you can use the standard chart features to change line charts to bar charts, add labels for each point value etc.

You can also save your choice of fields etc as a template, and then reload it in future rather than having to re-enter all the settings manually. For extra convenience, it may be worth noting that you can do the following:

  • Save your results in a database.

  • Create a template, and save it to somewhere like the desktop.

  • Open MT4i Desktop by double-clicking the template file on the desktop. MT4i Desktop reloads the information from your database, and automatically loads and applies the template as well.


Stats tab

The Stats tab shows two sets of figures calculated across all your positions: an analysis of balance versus equity (i.e. closed positions only versus both closed and open positions), and an analysis of results divided up over different types of time period (e.g. average daily return versus average weekly return).

Both grids provide the standard options for exporting them to Excel, printing them etc.

The analysis of balance/equity includes the following fields. By definition, the figures on the balance line only include positions which are now closed. The figures on the equity line additionally include positions which are still open:

  • Gain/loss $. Shows the cash change in the account equity/balance.

  • Total growth %. Shows the percentage change in account equity/balance.

  • Annualised growth %. Expresses the total growth as an annualised figure (by calculating an average daily change, and annualizing it on the basis of 256 trading days).

  • Annualised Sharpe ratio. Calculates an annualised Sharpe ratio based on the daily changes in account equity.

  • Positions. Total number of positions opened (and also closed in the case of the balance line).

  • Winners. Number of profitable positions.

  • Losers. Number of loss-making positions.

  • Win %. Winners as a percentage of total positions.

  • Loser %. Losers as a percentage of total positions.

  • Gross profit. Total profit on all winning positions.

  • Gross loss. Total loss on all losing positions.

  • Profit %. Gross profit as a percentage of gross profit plus gross loss.

  • Loss %. Gross loss as a percentage of gross profit plus gross loss.

  • Profit factor. The Metatrader-style profit factor: gross profit divided by gross loss.

  • Day-end peak. Highest value reached by the account equity/balance at any day-end. Not necessarily representative of performance if the account is boosted by multiple deposits.

  • Day-end trough. Lowest value reached by the account equity/balance at any day-end. Not necessarily representative of performance if the account is diminished by withdrawals.

  • Average trade $. The average cash result on each position, i.e. the total gain/loss divided by the number of positions.

  • Average win $. The average cash result on winning positions, i.e. gross profit divided by number of winners.

  • Average loss $. The average cash result on losing positions, i.e. gross loss divided by number of losers.

  • Average position length (hours). The average length of a position, in hours.

  • Profitability per trade-hour. The total profit/loss divided by the total number of hours for which each trade was open.

  • Total lots. Total lots traded, on all positions (equity line) and on closed positions only (balance line).

  • Standard deviation. The standard deviation of the daily cash changes in account balance and equity.

The analysis by time period includes the following statistics:

  • Number of periods. The number of days/weeks/months/etc in the results.

  • Equity – winning periods. The number of periods during which account equity increased.

  • Equity – losing periods. The number of periods during which account equity declined.

  • Balance – winning periods. The number of periods during which account balance increased.

  • Balance – losing periods. The number of periods during which account balance declined.

  • Avg equity growth %. Shows the average percentage change in account equity per day/week/month/etc.

  • Avg balance growth %. Shows the average percentage change in account balance per day/week/month/etc.

  • Avg positions opened. Shows the average number of positions opened per day/week/month/etc.

  • Avg positions closed. Shows the average number of positions closed per day/week/month/etc.

  • Avg banked winners. Shows the average number of positions closed at a profit per day/week/month/etc.

  • Avg banked losers. Shows the average number of positions closed at a loss per day/week/month/etc.

  • Peak equity consecutive losses $. Shows the worst cash value of consecutive daily/weekly/etc losses in account equity.

  • Peak balance consecutive losses $. Shows the worst cash value of consecutive daily/weekly/etc losses in account balance.

  • Equity consecutive losses #. Shows the worst number of consecutive daily/weekly/etc losses in account equity, i.e. the worst run of losing days/weeks/etc, not their cash value. The longest run in terms of number of periods can be different to the period which generates the worst consecutive fall.

  • Balance consecutive losses #. Shows the worst number of consecutive daily/weekly/etc losses in account balance, i.e. the worst run of losing days/weeks/etc, not their cash value. The longest run in terms of number of periods can be different to the period which generates the worst consecutive fall.

  • Peak equity drawdown $. Shows the largest fall in account equity from one period end to a subsequent period end, e.g. from a high at one day/week/month end to a subsequent day/week/month end low. It does not necessarily imply a fall in the account below your initial deposit. For example, if account equity starts at $10,000, is $10,500 at one day/week end, and then falls to $10,250 at a subsequent day/week end before rising again, then the worst drawdown is shown as $-250.

  • Peak balance drawdown $. Shows the largest fall in account balance from one period end to a subsequent period end (e.g. from a high at one day/week/month end to a subsequent day/week/month end low).

  • Peak period-end unbooked loss. Shows the largest unbooked loss at the end of any single day/week/month etc.

  • Peak period-end unbooked profit. Shows the largest unbooked profit at the end of any single day/week/month etc.

  • Peak equity consecutive wins $. Shows the best cash value of consecutive daily/weekly/etc gains in account equity.

  • Peak balance consecutive wins $. Shows the best cash value of consecutive daily/weekly/etc gains in account balance.

  • Equity consecutive wins #. Shows the best number of consecutive daily/weekly/etc gains in account equity (i.e. the best run of winning days/weeks/etc, not their cash value).

  • Balance consecutive wins #. Shows the best number of consecutive daily/weekly/etc gains in account balance (i.e. the best run of winning days/weeks/etc, not their cash value).

  • Avg equity change $. Shows the average cash change in account equity per day/week/month/etc.

  • Best equity change $. Shows the best single gain in account equity over any single day/week/month/etc.

  • Worst equity change $. Shows the worst single loss in account equity over any single day/week/month/etc.

  • Avg balance change $. Shows the average cash change in account balance per day/week/month/etc.

  • Best balance change $. Shows the best single gain in account balance over any single day/week/month/etc.

  • Worst balance change $. Shows the worst single loss in account balance over any single day/week/month/etc.

  • Avg winning pips banked. Shows the average number of pips on closed winning positions per day/week/month etc.

  • Avg winning pips banked. Shows the average number of pips on closed losing positions per day/week/month etc.

  • Avg net pips banked. Shows the average net number of pips on closed positions (i.e. winners minus losers) per day/week/month etc.

  • Balance stdev. Standard deviation of the cash changes in account balance over each day/week/month etc.

  • Equity stdev. Standard deviation of the cash changes in account equity over each day/week/month etc.


Analysis tab

The Analysis tab shows a breakdown of your results by account, symbol, EA (i.e. magic number) etc. The information it generates can also be displayed in graphical form using the Analysis Chart tab.

You start by choosing how you want to analyse your results. The available options are as follows:

  • By account

  • By symbol.

  • By from-currency (i.e. lumping together the results for EURUSD and EURJPY).

  • By to-currency (i.e. lumping together the results for EURUSD and AUDUSD).

  • By account and symbol (i.e. each combination of account and symbol).

  • By symbol and direction (i.e. separate long and short results for each symbol).

  • By direction (i.e. long/short).

  • By lot size.

  • By magic number (i.e. per EA).

  • By magic number and direction.

  • By magic number and symbol.

  • By open/closed.

  • By day of week on which positions were opened.

  • By hour of day on which positions were opened.

  • By trade duration, in hours.

  • By trade duration, in days.

  • By the week in which positions were opened.

  • By the month in which positions were opened.

  • By the quarter in which positions were opened.

  • By the month in which positions were opened.

N.B. You can effectively create your own subsets of analysis, in addition to those listed above, by using filtering. For example, you can open two different windows each filtered so that it only shows the results from a single EA (i.e. magic number). You can then use the Analysis tab on each of them to break down the results by direction, i.e. long/short, letting you compare the combination of EA strategy and direction.

The statistics displayed in the analysis grid are as follows:

  • Balance gain/loss $. The change in account balance attributable to each category.

  • Equity gain/loss $. The change in account equity attributable to each category.

  • Deposits. Total deposits attributable to each category.

  • Withdrawals. Total withdrawals attributable to each category.

  • Total positions. Total number of positions opened.

  • Closed positions. Total number of positions opened and closed.

  • Still open. Number of positions still open (i.e. total positions minus closed positions).

  • Winners. Number of positions closed or currently in profit.

  • Losers. Number of positions closed or currently in loss.

  • Winner %. Profitable positions as a percentage of all positions.

  • Loser %. Losing positions as a percentage of all positions.

  • Gross profit. Total profit on all winning positions (including both open and closed positions).

  • Gross loss. Total loss on all losing positions (including both open and closed positions).

  • Profit %. Gross profit as a percentage of gross profit plus gross loss.

  • Loss %. Gross loss as a percentage of gross profit plus gross loss.

  • Profit factor. The Metatrader-style profit factor: gross profit divided by gross loss.

  • Avg banked trade. The size of the average gain/loss for closed positions.

  • Avg banked win. The size of the average closed winning position.

  • Avg banked loss. The size of the average closed losing position.

  • Peak day-end unbooked loss. The highest day-end unbooked loss attributable to the category.

  • Peak day-end unbooked profit. The highest day-end unbooked profit attributable to the category.

  • Peak balance drawdown. The largest fall from any day-end high in the account balance for the category to a subsequent day-end low.

  • Peak equity drawdown. The largest fall from any day-end high in the account equity for the category to a subsequent day-end low.

  • Peak consecutive losing days – equity. The largest number of consecutive losing daily changes in account equity.

  • Peak consecutive daily losses – equity. The worst consecutive run of daily losses in account equity. (The sequence giving rise to this worst loss is not necessarily the same as the longest run in terms of number of days.)

  • Peak consecutive losing days – balance. The largest number of consecutive losing daily changes in account balance.

  • Peak consecutive daily losses – balance. The worst consecutive run of daily losses in account balance. (The sequence giving rise to this worst loss is not necessarily the same as the longest run in terms of number of days.)

  • Average position duration (hours). The average duration, in hours, of positions within the category.

  • Profitability per hour. Total profitability of positions in the category divided by the total number of hours for which the positions were/have been open.

  • Daily balance stdev. Standard deviation of the daily changes in account balance.

  • Daily equity stdev. Standard deviation of the daily changes in account equity.

  • Annualised Sharpe ratio. An annualised Sharpe ratio, based on daily cash changes in account equity.

  • Long lots opened. Number of lots traded on all long positions.

  • Short lots opened. Number of lots traded on all short positions.

  • Total lots opened. Total number of lots traded, on all positions.


Analysis Charts tab

The Analysis Charts tab lets you draw a graphical representation of any of the statistics shown on the Analysis tab.

The tab starts by showing a chart of balance and equity gain/loss for each account. You change the settings simply by clicking on the link labelled “Click here to display chart options”.

You can then choose how to break down the results (e.g. by account, by symbol etc), and which fields to include in the chart. You then click on the “Draw chart” button, or on the cancel button to return to the existing chart without changing it.

Once you have created a chart you can use the standard chart features to change bar charts to line charts, add labels for each point value etc.

You can also save your choice of fields etc as a template, and then reload it in future rather than having to re-enter all the settings manually. For extra convenience, it may be worth noting that you can do the following:

  • Save your results in a database.

  • Create a template, and save it to somewhere like the desktop.

  • Open MT4i Desktop by double-clicking the template file on the desktop. MT4i Desktop reloads the information from your database, and automatically loads and applies the template as well.


Correlation tab

The Correlation tab shows the relationship between different subsets of your trading results – for example, the similarity between your results for EURUSD trades versus USDCHF. In simple terms, it answers the question “does a good day on EURUSD also tend to be a good day on USDCHF?”

Correlation is calculated using daily changes in account equity, and is expressed on a scale of +1 (perfect correlation) to -1 (perfect inverse correlation).

All other things being equal, most investment professionals prefer results/strategies which are uncorrelated (or which, in certain circumstances, have negative correlation). For example, given two strategies which each produce a return of $10,000, they will prefer the one which has less correlation between the results on individual symbols, or EAs etc.

You can analyse correlation using the same categories as on the Analysis tab. The resulting grid contains both a column and a row for each category (e.g. each symbol). Each cell then shows the correlation between two categories. As a result the figure shown for EURUSD (row) versus USDCHF (column) will be the same as the figure shown for USDCHF (row) versus EURUSD (column).

The correlation grid cannot be sorted, but it does provide the standard options for exporting the grid, printing it etc.


Return Distribution tab

The Return Distribution tab shows the spread of changes in your account equity or balance. You can choose to analyse changes on a daily, weekly, quarterly, monthly or annual basis (though daily is usually the most informative).

The system takes the list of your daily returns (or weekly etc) and divides them up into bands based on what will best fit on screen, e.g. bands of $20. It then calculates the number of daily/weekly/etc returns falling into each band, and displays the resulting distribution as a series of bars.

The chart also shows the position of the average daily/weekly/etc return, helping to indicate whether the results are skewed positively or negatively by extreme returns in either direction.

Unfortunately, most trading systems/traders demonstrate negative skew – they have a large cluster of returns towards the right of the chart; an average return to the left of that cluster; and a long leftwards – i.e. negative – tail. Such a pattern is a graphical representation of the tendency of most trading systems to be undone by a small number of occasional but nasty losses.


Monte Carlo tab

The Monte Carlo tab carries out a projection of likely account equity returns in the future based on your historic results.

The system runs through a large number of random scenarios, and then plots a line showing the resulting spread of returns (i.e. the final account equity at the end of the week/month/etc), from the 10th percentile to the 90th percentile.

If your historic returns are representative of what will/can happen in future then there is a 20% chance of achieving a result which is off the chart – a 10% chance of a return below the 10th percentile, and a 10% chance of a result above the 90th percentile. Similarly, there is a 50% chance of achieving a return somewhere between the 25th and 75th percentiles.

You can also choose to do a projection of the worst day-end drawdown during a week/month/etc rather than the final account equity at the end of the period. These figures will always be lower than the period-end project, often substantially. For example, a scenario which has final account equity of +$1,000 may involve a drawdown of -$750 at a day-end during the period. The period-end projection will show a value of +$1,000 for this scenario; the worst-day-end projection will show a value of -$750.

In other words:

  • The period-end projection shows the probability of various levels of drawdown provided that you are prepared to wait until the end of the week/month/etc. For example, if the line on a weekly projection crosses a loss of $500 at the 20th percentile, then you have a 1 in 5 (20%) chance of losing $500 in account equity at the end of any given week. There is a higher chance of exceeding a $500 loss at some point during the week.

  • The worst-day-end projection shows the probability of reaching various drawdown levels at day-ends during a week/month/etc. For example, if the line on a weekly projection crosses a loss of $500 at the 50th percentile, then you have a 1 in 2 (50%) chance of being $500 down at some day-end during any given week.

All projections such as this should be treated with caution. They rely on your past history being indicative of what can happen in future, and assume that something can’t happen in the future if it hasn’t happened in the past – or, at least, they assume that such an event is very unlikely. If you have never lost (or gained) $10,000 in a day before, then the projection will not include that in its future scenarios.


Positions tab

The Positions tab simply displays a grid listing all the individual positions which make up your results. Please note that deposits and withdrawals are always retained in the grid unless filtered out based on date or account. They are unaffected by filtering on symbol, lot size etc.

The grid can be sorted in the normal way, by clicking on the column headers, and there are the standard options for exporting the grid, printing it etc.

Creating filtering using the positions list

You can use the positions list to do a quick filter of your results: by right-clicking over any of the values whose column headers are shown in bold (such as symbol or lot size). The system displays a pop-up menu letting you choose the type of filter to apply: an exact match or, if applicable, a filter starting from or ending at the chosen value. Please note that filtering on dates is always rounded to a full day.

Information about each position

The information in this list about each position should be largely self-explanatory except, perhaps, for the following information:

  • “Profit” is the results of the trade itself (i.e. derived from the close/current price versus the open price), excluding swap. “Total profit” is simply profit plus swap.

  • “Profit per hour” is total profitability divided by the number of hours the trade was/has been open for.

  • “Peak day-end drawdown” is the lowest day-end unbooked loss reached by the trade during its lifetime.


Tips and tricks

  • Analysing results per Expert Advisor

  • Analysing strategy tester results

  • Examining drawdowns

  • Refining strategies

  • Balance vs. equity

  • Quick filtering


Analysing results per Expert Advisor

Each Expert Advisor uses a “magic number” for its trades (or a range of magic numbers). MT4i Desktop contains a large number of ways of analysing results by magic number – and can therefore report on the profitability of individual EAs.

(To find out the magic number(s) used by an EA, you can either use the Positions tab to examine the trades it has created, or you can contact the EA vendor.)

The Analysis tab lets you group results by magic number, and shows many useful statistics such as peak day-end losses, peak drawdowns, win/loss ratio etc. You can also examine the results of an individual EA over time using the Time Charts tab (or you can filter the results so that they only include the specific EA, and then use any of the summary charts).


Analysing strategy tester results

Metatrader’s strategy tester imposes one very big limitation: you can only test one EA and one symbol at a time. MT4i Desktop provides a way round this: you can run the strategy tester for multiple EAs/symbols, import each set of results into MT4i Desktop, and save them all in the same database. You can then view aggregated analysis across all the tests.

More generally, MT4i Desktop obviously provides vastly more information and functionality than Metatrader’s built-in strategy tester report. There are a few points which are particularly worth bearing in mind:

  • MT4i Desktop shows account equity over time, rather than just at the open/close of each trade. This makes it much easier to detect “hidden” drawdowns, either visually on a chart or by using the statistics on the Stats or Analysis tabs.

  • MT4i Desktop provides a number of measures of the risk of a strategy as well as its rewards: for example, the Sharpe ratio (on the Stats tab), the standard deviation of its daily returns, the distribution of returns, and the Monte Carlo projection of future returns.

  • You can use the Time Charts tab to show separate results over time for long and short positions. Any substantial differences tend to indicate that the strategy is correlated with, and depended on, market direction – a risk in future if the market does not then behave the way the strategy needs it to behave.


Examining drawdowns

This section comes with a caveat: MT4i Desktop cannot show intra-day drawdowns, except in the form of the charts which show your account balance in trade-close order rather than over time. (Even these potentially “hide” significant drawdowns which occurred while trades were open.)

However, MT4i Desktop does provide a large number of drawdown statistics, and these become more and more valuable the longer your trade history is. The key figures which you will usually want to inspect are as follows:

  • The peak unbooked loss at the end of any day, week, month etc. See the “Peak period-end unbooked loss $” column in the second of the grids on the Stats tab.

  • Peak consecutive losses over multiple days/weeks etc. These are also shown in the second grid on the Stats tab, and the statistics include both the cash size of the consecutive losses and also the number of consecutive losing days, weeks etc.

  • The peak drawdown, particularly in account equity rather than balance. This is calculated as the largest fall from any period-end high (e.g. at the end of week) to a subsequent period-end low. These figures are again shown over different time periods in the second grid on the Stats tab.

  • The incidence of various levels of historic drawdown, using the Return Distribution tab.

  • A projection of the probability of future drawdowns, using the Monte Carlo tab.


Refining strategies

The Sharpe ratio is not without its critics, but it remains a useful measure of risk vs. reward rather than pure profit/loss. The aim of any improvement in a strategy should be to improve its Sharpe ratio rather than just its pure financial gain – you can then improve overall profitability by committing more money to the strategy (i.e. larger lot sizes) while having greater confidence that the strategy will not incur horrendous losses.

There are two ways of improving a Sharpe ratio: either improve performance, or reduce volatility. The return distribution identifies periods with abnormally large losses (or, indeed, profits). You can then inspect the daily results and the list of individual trades in an attempt to identify what aspects of your strategy give rise to these outlying performances, and whether the strategy can be improved – even if that involves making it a little more conservative.

You can also use the Correlation tab to look for historical relationships between performance on different symbols, EAs etc. If there is a strong relationship between e.g. individual symbols, then it may be possible to improve your results by only trading one/some of them, rather than placing two “bets” which have generally proved to be very similar in profile.

You can quickly try out different hypotheses by using filtering to eliminate particular symbols, and seeing if it makes a marked difference to the Sharpe ratio on the Stats tab.


Balance vs. equity

MT4i Desktop provides two versions of nearly every statistic: one based on account balance and the other based on account equity. As a general rule, account equity is much more informative, and a much better basis for selecting strategies and for improving your trading results. (For example, no investment professional would consider a Sharpe ratio based on account balance.)

This is particularly true of many grid- and martingale-based systems. These systems often leave losers running until they return to profit, potentially over long periods of time. This creates a very smooth balance line (in e.g. Metatrader’s own account reports) but completely hides the fact that the system is incurring large interim losses, and potentially has a very poor risk and drawdown profile.


Quick filtering

In case you’ve missed the prompts on screen in the software, and also in this help file, you can build filters extra-quickly using the Positions tab.

You simply right-click over a cell in any column which has a column header in bold. Depending on the type of column you can then either specify an “exact match”, or also have the options to say “starting from” and “ending at”.


Further help and support

If you need any help or information beyond what is contained in this help file, please contact us at support@mt4i.com


Overview of MT4i Desktop

Contents

Overview of MT4i Desktop

Installing MT4i Desktop

Licensing MT4i Desktop

Getting started

Importing your account history

Importing results from the strategy tester

Importing results from a website

Automated, periodic imports of your account history

Viewing data which has already been imported and saved

Saving and aggregating data

Backing up your databases

Database maintenance

Transferring MT4i Desktop data between computers

Overview of the MT4i Desktop user interface

Configuring charts

Configuring and saving grids

Tools and options

Filtering results

Saving and reloading filters

Notes about MT4i Desktop statistics

Summary Charts tab

Time Periods tab

Time Charts tab

Stats tab

Analysis tab

Analysis Charts tab

Correlation tab

Return Distribution tab

Monte Carlo tab

Positions tab

Tips and tricks

Analysing results per Expert Advisor

Analysing strategy tester results

Examining drawdowns

Refining strategies

Balance vs. equity

Quick filtering.

Further help and support